Bug 13313 - rpm freshen does not work
Summary: rpm freshen does not work
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-01 11:39 UTC by Gene Czarcinski
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-01 11:39:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gene Czarcinski 2000-07-01 11:39:44 UTC
I first found this problem running on a beta1 system and trying to update
the XFree on that system to the XFree on beta2.  I did it with the
following command:
   rpm -Fvh /mnt/cdrom/RedHat/RPMS/XFree86-*
and got "no packages require freshening"

I duplicated the problem on a beta2 system by installing the
"redhat-release" package from beta1 with:
  rpm -Uvh --oldpackage /mnt/cdrom/RedHat/RPMS/redhat-release-6.9.0-*
and then tried to freshen with the beta2 package:
  rpm -Fvh /mnt/cdrom/RedHat/RPMS/redhat-release-6.9.1-*
and got "no packages require freshening" but
  rpm -Uvh /mnt/cdrom/RedHat/RPMS/redhat-release-6.9.1-*
updated the package.

Comment 1 Jeff Johnson 2000-07-05 12:17:58 UTC
I believe --freshen is functional in rpm-4.0-0.45. If not, please reopen this
bug.


Note You need to log in before you can comment on or make changes to this bug.